Subject: [martini] Revised minutes from IETF 78

From: Bernard Aboba <[email-masked]>
Date: Sun, 29 Aug 2010 16:11:31 -0700

We have had a question arise about the minutes of the meeting at IETF 78, relating to discussion of Ticket 57. 

Adam has gone back to the recording and transcribed the conversation relating to public GRUUs. 

With that transcription added, the revised minutes are enclosed below. 

===================================================================================

MARTINI WG IETF 78 Mintes
 
Chairs:
Bernard Aboba <bernard_aboba at hotmail.com>
Spencer Dawkins <spencer at wonderhamster.org>

Thursday, July 29, 2010
09:00 - 11:30
2.1 Colorado Room

09:00 - 9:10, Preliminaries

     Note Well
     Note Takers:  Paul Kyzivat and Cullen Jennings, with help from Adam Roach
     Jabber scribe
     Agenda bash
     Document Status

Solution Updates

MARTINI with Globally Identifiable Numbers, Adam Roach (40 minutes)
http://tools.ietf.org/html/draft-ietf-martini-gin

Went over changes and open issues:

Ticket 48 updates the requirements analysis in the GIN document 
(Appendix A) so as to keep in sync with changes made to the 
requirements document. The changes have no impact on the GIN 
solution.  Adam proposes to align the appendix A by changing text 
that quotes the requirements doc to be consistent with the final 
version of the requirements doc.

Proposal by Cullen and Hadriel to just drop appendix A. John and Adam 
are happy to remove it. Keith would like it to remain.  Decision is 
to keep it and change the text so as to match the requirements
document.  

No objection to the recommended resolution of Issues 4 and 5.

Ticket 49 – nits. Changes accepted. Keith requested consistency 
on a number of other nits. He was asked to report them on the 
list. He agreed.

Ticket 50: propose to update inline with suggestions in the ticket.
Query made if any objections to the proposed resolution. There were none.

Ticket 51: ticket submitter proposed one resolution, Adam proposes to 
do the contrary – reject BNC contact with user part. Discussion of 
pros/cons of the alternative. Keith and Cullen argued for being 
strict, and Hadriel agreed. That approach (consistent with the slide) 
was agreed: incorrect URI will cause rejection.

Ticket 54: Keith objected to use of "non-bnc URI" without definition. 
Adam agrees to fix that, make it clear what is intended.

Everywhere we have BNC before another term, it needs to be defined.
On this issue in #54 reword to be "URI without a BNC"

Ticket 55: regarding prohibition of "bnc" parameter in reg event bodies. 
Questions/objections of how this prohibition applies to reg event 
extensions. It was agreed to modify the proposed text - "after "bnc"
parameter" add "in an extension".

Ticket 56: about security review. Discussion of what the error code 
should be. Adam proposes using an existing 500 class response to 
indicate an overload condition.

Agreed on Proposal #1 and #2. Will return an existing 500 class response. 

Ticket 57:  This issue relates to temporary GRUUs.  Should support
be mandatory for SSPs? Three options offered: completely 
optional; mandatory to implement & optional to use; mandatory to use 
GIN at all. 
  
Should it be mandatory for an SSP implementing GIN to supply a 
public GRUU when requested by the registering PBX?

Hadriel argued at length for optionality. Cullen argued strongly 
for mandatory to implement for public GRUU.  

Keith Drage (@1:07:41): "Yeah, but I mean, I mean I think we had an almost 
formal words at the microphone which basically were saying: 'If you're asked 
for a GRUU, then implementors of GIN must provide one. Public GRUU.'"
Hadriel Kaplan: "The *SSP* must provide one."
Adam Roach: "Yes."
Hadriel Kaplan: "Right."
Adam Roach: "Yes."
Hadriel Kaplan: "If it said 'Supported: gin'."
Adam Roach: "Yes."
Hadriel Kaplan: "Check."
Adam Roach: "Okay."
Hadriel Kaplan: "Okay."
Adam Roach: "Good."
Cullen Jennings (@1:08:12): "Okay, so here's what I recorded for minutes: 
'If the PBX asks for a GRUU and it supports GIN, the the SSP must return one.' 
Okay? Fair enough summary?"
Adam Roach: "That sounds like a good summary."
Paul Kyzivat (backup minute taker): "I've got words similar to that."
Adam Roach: "So I think we have public GRUU nailed down."

Then discussion moved to temp GRUU. Debate among Cullen Jennings and Hadriel Kaplan. 
Cullen argues for support of confidentiality – need to support 
anonymous calls. He would accept some other mechanism than temp GRUU 
if someone can propose it for inclusion in this draft. Andrew Allen 
supports for fear that some other system likely to mangle public 
GRUUs. Hadriel asserted that he sells boxes that do this without use 
of temp GRUU.

Bernard Aboba noted that GRUU support (both public and temporary) is
covered by REQ16 in the requirements document: 

   REQ16 - The mechanism MUST allow the SIP-PBX to provide its UAs with
   public or temporary Globally Routable UA URIs (GRUUs) [RFC5627].

However, this requirement is phrased as "MUST allow" and only applies
to PBXes, not SSPs.  John Ewell was concerned that that mandating
support by SSPs might raise the bar too high and discourage SSPs from 
implementing GIN. Keith was concerned that we are having a requirements 
document in the context of the gin draft – that people who want new 
requirement should be making a bis version of the requirements document. T
here was suggestion to split the ticket, into the part about pub gruu 
and a separate one about private calls.

Request for Cullen to file that ticket. Proposal for interested 
parties to go off between now and next session at 3 and try to figure this out.
Will pick it up then.

Individual Submissions (60 minutes)
Other Logical Identifier Values (OLIVE), Hadriel Kaplan
http://tools.ietf.org/html/draft-kaplan-martini-with-olive

Hadriel gave summary. There were a number of clarifying questions. 
John wanted to know if this is service that SSPs would want to 
provide. Adam observed that its perfectly reasonable to assume the SSP 
could host your own domain name and then arbitrary user names within that domain name.
Then got on to local numbers. Cullen suggests splitting this into 
separate drafts for alphanumeric user names and local numbers because.

About 10 people in the room thought it was worth solving the "[email-masked]" 
problem – alphanumeric user names. This is simply guidance to hadriel 
about his authoring of private drafts.

There was a sughgestion to work on two separate documents:  one for
email-style addresses (e.g. "[email-masked]') and the other for numeric
addresses (but not E.164 numbers):  "1234". 

MARTINI Event Package for Registration (VERMOUTH), Hadriel Kaplan
http://tools.ietf.org/html/draft-kaplan-martini-vermouth

Hadriel gave an overview. Normal subscription get routed to the PBX. 

Presented two alternatives – use reg-event with 
extensions or a new event package. John Elwell questioned if SIP is 
right for this. Andrew Allen also preferred new event package because 
semantics are different. Cullen Jennings gave another reason – authorization 
rules are different.

There seemed to be general support for a new event package. 

Thursday, July 29, 2010
15:10 - 16:10

This session was just to clear up the temp-gruu issue.
People had worked in the intervening time and had proposed text 
which was displayed on a slide.

After brief discussion, the room was polled about this new text. 
Result was 12-0 in favor, which was considered to be consensus.

The group then adjourned.